gdaltindex(1)

NAME
gdaltindex - gdaltindex builds a shapefile as a raster tileindex

SYNOPSIS

gdaltindex [-tileindex field_name] index_file [gdal_file]*

DESCRIPTION

This program builds a shapefile with a record for each input raster file, an attribute containing the filename, and a polygon geometry outlining the raster. This output is suitable for use with UMN MapServer as a raster tileindex.

•   The shapefile (index_file) will be created if it doesn't already exist.
•   The default tile index field is 'location'.
•   Raster filenames will be put in the file exactly as they are specified on the commandline.
•   Simple rectangular polygons are generated in the same coordinate system as the rasters.

EXAMPLE
gdaltindex doq_index.shp doq/*.tif

AUTHORS
Frank Warmerdam <warmerdam@pobox.com>